Subject: Re: [PATCH 0/3] Raw gpg output support for verify-commit and verify-tag

From: Junio C Hamano <[email-masked]>
Date: Sun, 14 Jun 2015 14:23:47 -0700

"brian m. carlson" <[email-masked]> writes:

> Currently, verify-commit and verify-tag produce human-readable output.
> This is great for humans, and awful for machines.  It also lacks a lot
> of the information that GnuPG's --status-fd output provides.
>
> For example, if you wanted to know
> * the hash algorithm;
> * whether the signature was made with a subkey; or
> * the OpenPGP signature version
> none of that information is available in the human-readable output.

What this series wants to achieve makes a lot of sense to me.  One
comment I have after skimming the patfches is that I want the new
"raw" bit added not as a yet another parameter after "verbose", but
by turning the existing "verbose" into an "unsigned flag" flag word
(with "#define GPG_VERIFY_VERBOSE 01") and then defining use of a
new bit in the same flag word "#define GPG_VERIFY_RAW 01" or
something.  That way, over time other people add differnt things to
the interface, we would not have to end up with 47 different
parameters each of which signals a single bit.

Thanks.